# Display power mode set

An action block that sets the power mode for a physical display, e.g. to temporarily turn it off.

This low-level block that may cause the system to behave unpredictably as the display will be in unexpected state. It will likely not work to turn the screen on when the device is locked, use the Device keep awake block instead.

Caution! A improper flow could repeatedly turn off the display thus preventing further access to the device, read the Safe mode help page on how to recover from such a situation. Always disable the Run on system startup option in settings during testing.

Note! This feature isn’t officially supported, requires Android 4.3+ and the privileged service, may not work on all devices.

## Input arguments

- Power mode — mode to set, default is On.
- Display id — id of the display to set mode for, see Display query block, default is id of the primary display.